package com.palmnest.application.core.util;

import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

public class RequestInfoUtil {
	public static Map<String, String> requestUtil(HttpServletRequest request) {
		Map<String, String> map = new HashMap<String, String>();
		Enumeration reqNames = request.getParameterNames();
		for (Enumeration e = reqNames; e.hasMoreElements(); ) {
			String reqName = e.nextElement().toString();
			String reqValue = request.getParameter(reqName);
			map.put(reqName, reqValue);
		}
		return map;
	}

}
